Performance Manager Query Available Perf Metric

Performance Manager Query Available Perf Metric
Retrieves all performance counters for the specified *managed object* generated during a specified period of time.

Retrieves all performance counters for the specified managed object generated during a specified period of time.

The time period can be specified using beginTime, endTime, or by interval ID.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/PerformanceManager/{moId}/QueryAvailablePerfMetric
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case PerformanceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryAvailablePerfMetricRequestType of type(s) application/json
Required

Show optional properties

{
    "entity": {}
}
{
    "entity": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "beginTime": "string",
    "endTime": "string",
    "intervalId": 0
}
entity
Required

The managed object that provides performance metrics.

string As date-time As date-time
beginTime
Optional

Starting time (server time) for a period of time from which to return available metrics. If not specified, defaults to oldest available metric for the specified entity.

string As date-time As date-time
endTime
Optional

Ending time (server time) for a period of time from which to return available performance metrics. If not specified, defaults to the most recently generated metric for the specified entity.

integer As int32 As int32
intervalId
Optional

Period of time from which to retrieve metrics, defined by intervalId (rather than beginTime or endTime). Valid intervalIds include:

  • For real-time counters, the refreshRate of the performance provider.
  • For historical counters, the samplingPeriod of the historical interval.

If this parameter is not specified, the system returns available metrics for historical statistics.

Authentication
This operation uses the following authentication methods.
Responses
200

An array of metrics, each of which comprises a counterId and an name.

[
    {
        "_typeName": "string",
        "counterId": 0,
        "instance": "string"
    }
]
array of object
Optional

This data object type contains information that associates a performance counter with a performance metric.

When constructing this data object for the metricId property of the PerfQuerySpec to submit to one of the PerformanceManager query operations, the instance property supports these special characters:

  • An asterisk (*) to specify all instances of the metric for the specified counterId
  • Double-quotes ("") to specify aggregated statistics

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"entity":"{}"}' https://{api_host}/sdk/vim25/{release}/PerformanceManager/{moId}/QueryAvailablePerfMetric